<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package orabel
 */

get_header();
?>

<?php

$title = get_field( 'p404_title', 'option' );
$content = get_field( 'p404_content', 'option' );
$button = get_field( 'p404_button', 'option' );

?>

<!-- banner -->
<section class="orb-banner-simple orb-banner-error">

	<div class="container">
		<div class="row">
			<div class="col-lg-12">

				<div class="orb-title-frame">
					<h1 class="orb-h1-inner">
						<?php
						if ( $title ) :
							echo esc_html( $title );
						else :
							echo esc_html__( 'Oops! Where are we?', 'orabel' );
						endif;
						?>
					</h1>
					<div class="orb-404">
						<?php echo esc_html__( '404', 'orabel' ); ?>
					</div>
					<div class="orb-text knsl-mb-30">
						<?php
						if ( $content ) :
							echo wp_kses_post( $content );
						else :
							echo '<p>' . esc_html__( 'We are unable to find the page you are looking for.', 'orabel' ) . '</p>';
						endif;
						?>
					</div>
					<?php  ?>
					<a href="<?php echo esc_url( home_url() ); ?>" class="orb-btn">
						<?php
						if ( $button ) :
							echo esc_html( $button );
						else :
							echo esc_html__( 'Back to Home', 'orabel' );
						endif;
						?>
					</a>
					<?php  ?>
				</div>

			</div>
		</div>
	</div>
</section>
<!-- banner end -->

<?php
get_footer();
