( function( $ ) {
  'use strict';

  var elementor = 0;
  if ( window.location.href.indexOf('/?elementor-preview=') > -1 ) {
      elementor = 1;
  }

	// =====================================================
	// PRELOADER
	// =====================================================
	function anim1() {
		$('html').removeClass('is-preload');
	}

	function anim2() {
		$('.orb-photo-frame').addClass('orb-active');
		$('.orb-big-menu .orb-photo-frame').removeClass('orb-active');
	}

	function anim3() {
		$('.orb-big-menu .orb-photo-frame').toggleClass('orb-active');
	}
	$(document).ready(function () {
		setTimeout(anim1, 1500);
		$('.orb-loader').addClass('orb-active');
		setTimeout(anim2, 2000);
	});

	// =====================================================
	// MOBILE HEIGHT FIX
	// =====================================================
	let vh = window.innerHeight * 0.01;
	document.documentElement.style.setProperty('--vh', `${vh}px`);

	// =====================================================
	// MENU
	// =====================================================
  $('.orb-fs-menu nav').html( $('.orb-menu-frame nav').html() );
	$('.orb-menu-btn').on('click', function () {
		$('.orb-menu-btn , .orb-big-menu-frame, .orb-big-menu').toggleClass('orb-active');
		$('.orb-top-bar-frame').toggleClass('orb-menu-opened');
		setTimeout(anim3, 300);
	});
  $('.orb-fs-menu .menu-item-has-children > a').attr('href', '#.');
  $('.orb-fs-menu .menu-item-has-children > a').attr('data-no-swup', '');

  /*
		Header Menu Dropdown
	*/
	$('.orb-fs-menu').on('click', '.menu-item-has-children > a', function(){
		if($(this).parent().hasClass('opened')) {
      $(this).parent().removeClass('opened');
  		$(this).parent().children('ul').removeClass('orb-active');
		} else {
      $(this).parent().addClass('opened');
  		$(this).parent().children('ul').addClass('orb-active');
		}
		return false;
	});

  /* Fixed Top Menu on scroll */
	$(window).on('scroll', function(){
		if ($(this).scrollTop() > 40) {
			$('.admin-bar .orb-top-bar-frame').addClass('fixed');
		}
		else {
			$('.admin-bar .orb-top-bar-frame').removeClass('fixed');
		}
	});

	// =====================================================
	// PAGE FRAME STYLE
	// =====================================================

  if ( $('.elementor-widget-orabel-hero-showcase').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-home-1');
  }
  if ( $('.elementor-widget-orabel-hero-slider').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-home-2');
  }
  if ( $('.elementor-widget-orabel-hero-grid').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-home-3');
  }
  if ( $('.elementor-widget-orabel-hero-grid-2').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-home-4');
  }
  if ( $('.elementor-widget-orabel-hero-video').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-home-5');
  }
  if ( $('.elementor-widget-orabel-about-type-1').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-about-1');
  }
  if ( $('.elementor-widget-orabel-about-type-2').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-about-2');
  }
  if ( $('.elementor-widget-orabel-about-type-3').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-about-3');
  }
  if ( $('.elementor-widget-orabel-contact-type-1').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-contact-1');
  }
  if ( $('.elementor-widget-orabel-contact-type-2').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-contact-2');
  }
  if ( $('.elementor-widget-orabel-contact-type-3').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-contact-3');
  }
  if ( $('.elementor-widget-orabel-portfolio-type-1').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-portfolio-1');
  }
  if ( $('.elementor-widget-orabel-portfolio-type-2').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-portfolio-2');
  }
  if ( $('.elementor-widget-orabel-portfolio-type-3').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-portfolio-3');
  }
  if ( $('.elementor-widget-orabel-portfolio-type-4').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-portfolio-4');
  }
  if ( $('.elementor-widget-orabel-portfolio-type-5').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-portfolio-5');
  }
  if ( $('.elementor-widget-orabel-blog-latest').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-blog-1');
  }
  if ( $('.elementor-widget-orabel-blog-carousel').length ) {
    $('.orb-page-frame').attr('class', 'orb-page-frame orb-blog-2');
  }
  if ( $('.orb-blog-post').length ) {
    $('.orb-scroll-frame').attr('class', 'orb-page-frame orb-blog-4');
  }

  // =====================================================
	// SLIDERS
	// =====================================================

	var swiper = new Swiper('.orb-slider-1s', {
		slidesPerView: 1,
		speed: 1200,
		parallax: true,
		pagination: {
			el: '.orb-pagination',
			type: "fraction",
		},
		navigation: {
			prevEl: '.orb-prev',
			nextEl: '.orb-next',
		},
	});

	var swiper = new Swiper('.orb-slider-3s', {
		slidesPerView: 3,
		initialSlide: 1,
		speed: 1200,
		centeredSlides: true,
		parallax: true,
		navigation: {
			prevEl: '.orb-prev',
			nextEl: '.orb-next',
		},
		breakpoints: {
			992: {
				slidesPerView: 2,
			},
			768: {
				initialSlide: 0,
				spaceBetween: 40,
				slidesPerView: 1,
			},
		},
	});

	var swiper = new Swiper('.orb-banner-slider', {
		slidesPerView: 1,
		speed: 800,
		parallax: true,
		loop: true,
		effect: 'fade',
		pagination: {
			el: '.orb-pagination',
			clickable: true,
		},
		autoplay: {
			delay: 4000,
		},
		navigation: {
			prevEl: '.orb-prev',
			nextEl: '.orb-next',
		},
	});

	var swiper = new Swiper('.orb-slideshow', {
		slidesPerView: 1,
		speed: 1200,
		parallax: true,
		effect: 'fade',
		pagination: {
			el: '.orb-pagination',
			type: "fraction",
		},
		autoplay: {
			delay: 4000,
		},
		navigation: {
			prevEl: '.orb-prev',
			nextEl: '.orb-next',
		},
	});

  /***************************

  Magnific Popups

  ***************************/

  if(/\.(?:jpg|jpeg|gif|png)$/i.test($('.wp-block-gallery .blocks-gallery-item:first a').attr('href'))){
    $('.wp-block-gallery a').magnificPopup({
      gallery: {
          enabled: true
      },
      type: 'image',
      closeOnContentClick: false,
      fixedContentPos: false,
      closeBtnInside: false,
      callbacks: {
        beforeOpen: function() {
          // just a hack that adds mfp-anim class to markup
           this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
           this.st.mainClass = 'mfp-zoom-in';
        }
      },
    });
  }
  $('[data-magnific-inline], [href="#trm-order"]').magnificPopup({
    type: 'inline',
    overflowY: 'auto',
    preloader: false,
    callbacks: {
      beforeOpen: function() {
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-image]').magnificPopup({
    type: 'image',
    closeOnContentClick: true,
    fixedContentPos: false,
    closeBtnInside: false,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  if (!$('body').hasClass('elementor-page')) {
    $("a").each(function(i, el) {
      var href_value = el.href;
      if (/\.(jpg|png|gif)$/.test(href_value)) {
         $(el).magnificPopup({
            type: 'image',
            closeOnContentClick: true,
            fixedContentPos: false,
            closeBtnInside: false,
            callbacks: {
              beforeOpen: function() {
                // just a hack that adds mfp-anim class to markup
                 this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
                 this.st.mainClass = 'mfp-zoom-in';
              }
            },
          });
      }
    });
  }
  $('[data-magnific-video]').magnificPopup({
    type: 'iframe',
    iframe: {
        patterns: {
            youtube_short: {
              index: 'youtu.be/',
              id: 'youtu.be/',
              src: 'https://www.youtube.com/embed/%id%?autoplay=1'
            }
        }
    },
    preloader: false,
    fixedContentPos: false,
    callbacks: {
      markupParse: function(template, values, item) {
        template.find('iframe').attr('allow', 'autoplay');
      },
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-music]').magnificPopup({
    type: 'iframe',
    preloader: false,
    fixedContentPos: false,
    closeBtnInside: true,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });
  $('[data-magnific-gallery]').magnificPopup({
    gallery: {
        enabled: true
    },
    type: 'image',
    closeOnContentClick: false,
    fixedContentPos: false,
    closeBtnInside: false,
    callbacks: {
      beforeOpen: function() {
        // just a hack that adds mfp-anim class to markup
         this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
         this.st.mainClass = 'mfp-zoom-in';
      }
    },
  });

} )( jQuery );
