<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package orabel
 */

?>

</div>

<?php

$hide_footer = get_field( 'footer_hide' );

if ( $hide_footer != true ) :

$footer_template = get_field( 'footer_template', 'option' );

if ( $footer_template ) :
  $args = array( 'post_type' => 'hf_templates', 'p' => $footer_template );
  $loop = new WP_Query( $args );
  while ( $loop->have_posts() ) : $loop->the_post();
    the_content();
  endwhile; wp_reset_postdata();
else :
?>
<div class="orb-copyright">
  <div class="container">
    <div class="copy-text">
      <div><?php echo esc_html__( '&copy; 2022 Orabel. All Rights Reserved.', 'orabel' ); ?></div>
    </div>
  </div>
</div>
<?php endif; endif; ?>

<div class="orb-big-menu-frame">
  <?php

  $mp_image = get_field( 'mp_image', 'option' );
  $image = wp_get_attachment_image_url( $mp_image, 'orabel_1920xAuto' );
  $mp_text = get_field( 'mp_text', 'option' );
  $mp_instagram = get_field( 'mp_instagram', 'option' );
  $mp_instagram_label = get_field( 'mp_instagram_label', 'option' );
  $mp_instagram_link = get_field( 'mp_instagram_link', 'option' );

  ?>
  <div class="orb-big-menu orb-big-menu-2">
    <div class="orb-grid">
      <div class="orb-g-33 orb-lg-50 orb-sm-100">
        <div class="orb-menu-frame orb-fs-menu">
          <nav>
          </nav>
        </div>
      </div>
      <div class="orb-g-33 orb-lg-50 orb-sm-100">
        <?php if ( $image ) : ?>
        <div class="rb-object-frame">
          <div class="orb-photo-frame orb-obj-1">
            <img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( bloginfo('name') ); ?>">
          </div>
        </div>
        <?php endif; ?>
      </div>
      <div class="orb-g-33 orb-lg-50 orb-sm-100">
        <div class="orb-menu-text-frame">
          <?php if ( $mp_text ) : ?>
          <div class="orb-menu-text">
            <p>
              <?php echo wp_kses_post( $mp_text ); ?>
            </p>
          </div>
          <?php endif; ?>
          <?php if ( $mp_instagram ) : ?>
          <a href="<?php echo esc_url( $mp_instagram_link ); ?>" target="_blank" data-no-swup class="orb-instagram">
            <span><?php echo esc_html( $mp_instagram_label ); ?></span>
            <span class="orb-icon-instagram-2"></span>
          </a>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>

</div>

</div>
</div>

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
