<?php
/**
 * Ajax Infinite Scroll for Portfolio & Posts
 */

function orabel_ajax_infinite_scroll_el() {
	check_ajax_referer( 'infinite_scroll_nonce', 'security' );

	$post_type = sanitize_text_field( $_POST['post_type'] );

	if ( $post_type == 'portfolio' ) {
		//load gallery posts

		$page_id = sanitize_text_field( $_POST['page_id'] );
		$paged = sanitize_text_field( $_POST['page_no'] );

		$orderby = sanitize_text_field( $_POST['order_by'] );
		$per_page = sanitize_text_field( $_POST['per_page'] );
		$order = sanitize_text_field( $_POST['order'] );
		$source = sanitize_text_field( $_POST['source'] );
		$temp = sanitize_text_field( $_POST['temp'] );
		$cat_ids = sanitize_text_field( $_POST['cat_ids'] );
		$show_title = sanitize_text_field( $_POST['show_title'] );
		$show_category = sanitize_text_field( $_POST['show_category'] );

		$args = array(
			'post_type'		 => 'portfolio',
			'post_status'	   => 'publish',
			'orderby'			=> $orderby,
			'order'				=> $order,
			'posts_per_page'	=> $per_page,
			'paged' 			=> $paged
		);

		if( $source == 'categories' ) {
			$tax_array = array(
				array(
					'taxonomy' => 'portfolio_categories',
					'field'    => 'id',
					'terms'    => $cat_ids
				)
			);

			$args += array('tax_query' => $tax_array);
		}

		$q = new WP_Query($args);

		if( $q->have_posts() ) :
			while( $q->have_posts() ) : $q->the_post();
				get_template_part( 'template-parts/content-' . $temp );
			endwhile;

			wp_reset_postdata();
		endif;

	} else {
		//load blog posts

		$page_id = sanitize_text_field( $_POST['page_id'] );
		$paged = sanitize_text_field( $_POST['page_no'] );

		$orderby = sanitize_text_field( $_POST['order_by'] );
		$per_page = sanitize_text_field( $_POST['per_page'] );
		$order = sanitize_text_field( $_POST['order'] );
		$source = sanitize_text_field( $_POST['source'] );
		$temp = sanitize_text_field( $_POST['temp'] );
		$cat_ids = sanitize_text_field( $_POST['cat_ids'] );

		$args = array(
			'post_type'		 => 'post',
			'post_status'	   => 'publish',
			'orderby'			=> $orderby,
			'order'				=> $order,
			'posts_per_page'	=> $per_page,
			'paged' 			=> $paged
		);

		if( $source == 'categories' ) {
			$tax_array = array(
				array(
					'taxonomy' => 'category',
					'field'    => 'id',
					'terms'    => $cat_ids
				)
			);

			$args += array('tax_query' => $tax_array);
		}

		$q = new WP_Query($args);

		if( $q->have_posts() ) :
			while( $q->have_posts() ) : $q->the_post();
				get_template_part( 'template-parts/content-' . $temp );
			endwhile;

			wp_reset_postdata();
		endif;

	}

	die;
}
add_action( 'wp_ajax_infinite_scroll_el', 'orabel_ajax_infinite_scroll_el' );
add_action( 'wp_ajax_nopriv_infinite_scroll_el', 'orabel_ajax_infinite_scroll_el' );
