<?php

if ( class_exists( 'OrabelPlugin' ) && class_exists( 'ACF' ) && class_exists( 'OCDI_Plugin' ) ) {

function orabel_ocdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_attr__( 'Default', 'orabel' ),
            'categories'                   => array( esc_attr__( 'Main', 'orabel' ) ),
            'import_file_url'            => ORABEL_EXTRA_PLUGINS_DIRECTORY . '/normal/ocdi-import/demo/01/content.xml',
            'preview_url'                  => 'https://1.envato.market/c/1790164/275988/4415?u=https://themeforest.net/item/orabel-photography-wordpress-theme/full_screen_preview/37854688',
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'orabel_ocdi_import_files' );

function orabel_ocdi_after_import_setup( $selected_import ) {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
        'primary' => $main_menu->term_id,
      )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'posts_per_page', 6 );

    $ocdi_fields_static = array(
      'options_header_template' => 614,
      '_options_header_template' => 'field_6089393f75103',
      'options_footer_template' => '',
      '_options_footer_template' => 'field_608939d275104',
      'options_mp_image' => 24,
      '_options_mp_image' => 'field_62707178ffced',
      'options_mp_text' => esc_html__( 'I am a professional photographer, my favorite areas are photography of models and photos for fashion magazines.', 'orabel' ),
      '_options_mp_text' => 'field_62707198ffcee',
      'options_mp_instagram' => 1,
      '_options_mp_instagram' => 'field_627071b6ffcef',
      'options_mp_instagram_label' => esc_html__( 'My instagram', 'orabel' ),
      '_options_mp_instagram_label' => 'field_627071d8ffcf0',
      'options_mp_instagram_link' => esc_html__( 'https://www.instagram.com/', 'orabel' ),
      '_options_mp_instagram_link' => 'field_627071e6ffcf1',
      'options_theme_transition' => 0,
      '_options_theme_transition' => 'field_61d38d7a94a44',
      'options_theme_scrolling' => 1,
      '_options_theme_scrolling' => 'field_61ca9b32d627c',
      'options_portfolio_lightbox_disable' => 1,
      '_options_portfolio_lightbox_disable' => 'field_5f58eee9befad',
      'options_social_links' => '',
      '_options_social_links' => 'field_608bd4e64a505',
      'options_p404_title' => esc_html__( 'Whoops!', 'orabel' ),
      '_options_p404_title' => 'field_5d180fd559b7f',
      'options_p404_content' => esc_html__( 'The page you\'re looking for doesn\'t exist or has been moved.', 'orabel' ),
      '_options_p404_content' => 'field_5d180feb59b80',
      'options_p404_button' => esc_html__( 'Back to Home', 'orabel' ),
      '_options_p404_button' => 'field_61c561cb7b6e5',
      'options_preloader' => 0,
      '_options_preloader' => 'field_61ba955b6c47a',
      'options_preloader_counter' => 0,
      '_options_preloader_counter' => 'field_61ba99596c47d',
      'options_preloader_logo' => '',
      '_options_preloader_logo' => 'field_61ba98826c47b',
      'options_preloader_logo_width' => '',
      '_options_preloader_logo_width' => 'field_61ba990d6c47c',
      'options_preloader_line_height' => '',
      '_options_preloader_line_height' => 'field_61ba9bab56a81',
      'options_preloader_color' => '',
      '_options_preloader_color' => 'field_61ba996d6c47e',
    );
    $ocdi_fields_to_change = array();

    if( 'Default' === $selected_import['import_file_name'] ) {
        $ocdi_fields_to_change = array(

        );
    }

    global $wpdb;
    foreach ( array_merge( $ocdi_fields_static, $ocdi_fields_to_change ) as $field => $value ) {
        if ( $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM $wpdb->options WHERE option_name = %s", $field ) ) == 0 ) {
            $wpdb->query( $wpdb->prepare( "INSERT INTO $wpdb->options ( option_name, option_value, autoload ) VALUES (%s, %s, 'no')", $field, $value ) );
        } else {
            $wpdb->query( $wpdb->prepare( "UPDATE $wpdb->options SET option_value = %s WHERE option_name = %s", $value, $field ) );
        }
    }

}
add_action( 'pt-ocdi/after_import', 'orabel_ocdi_after_import_setup' );

}
