<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package orabel
 */

get_header();

$layout = get_field( 'blog_featured_img', 'option' );

?>

	<?php while ( have_posts() ) : the_post(); ?>

	<div class="orb-content">

		<div class="orb-grid">
			<div class="orb-g-40 orb-sm-100">
				<div class="rb-object-frame">
					<div class="orb-photo-frame orb-obj-1">
						<?php if ( has_post_thumbnail() ) :
					  $image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_1920xAuto' ); ?>
						<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" />
						<?php endif; ?>
					</div>
					<h2><?php echo esc_html__( 'Blog', 'orabel' ); ?></h2>
					<div class="orb-deco"></div>
				</div>
			</div>
			<div class="orb-g-60 orb-sm-100">
				<div class="orb-blog-frame">
					<div class="orb-post-text">
						<h1><?php the_title(); ?></h1>

						<?php orabel_before_content(); ?>

						<div class="orb-blog-post">
							<?php get_template_part( 'template-parts/content', 'single' ); ?>
						</div>

						<?php orabel_single_navigantion(); ?>

			      <?php
						if ( comments_open() || get_comments_number() ) :
							// If comments are open or we have at least one comment, load up the comment template.
							comments_template();
			      endif; ?>
					</div>
					<div class="orb-post-footer">
						<div class="orb-date"><?php the_date(); ?></div>
					</div>
				</div>
			</div>

		</div>
	</div>

	<?php endwhile; ?>

<?php
get_footer();
