<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package orabel
 */

?>

<?php

/* post data */
$image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_950xAuto' );
$next_post = get_previous_post( true, '', 'category' );
$date_format = get_option( 'date_format' );

?>

<div class="swiper-slide">
	<div class="orb-content" data-swiper-parallax="-200" data-swiper-parallax-opacity="0">
		<div class="orb-grid orb-sm-reverse">
			<div class="orb-g-33 orb-sm-100">
				<div class="orb-text-frame" data-swiper-parallax-y="60" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1250">
					<div>
						<a href="<?php echo esc_url( get_permalink() ); ?>" class="orb-post-title">
							<h2><?php the_title(); ?></h2>
						</a>
						<?php the_excerpt(); ?>
						<div class="orb-date"><?php echo esc_html( get_the_date() ); ?></div>
					</div>
				</div>
			</div>
			<div class="orb-g-33 orb-sm-100">
				<div class="orb-object-frame">
					<div class="orb-deco"></div>
					<a href="<?php echo esc_url( get_permalink() ); ?>" class="orb-photo-link" data-swiper-parallax-y="60" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1200">
						<?php if ( $image ) : ?>
						<div class="orb-photo-frame orb-obj-1">
							<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" />
						</div>
						<?php endif; ?>
					</a>
				</div>
			</div>
			<div class="orb-g-33 orb-sm-100">
				<?php if ( ! empty( $next_post ) ) :
					$np_permalink = get_the_permalink( $next_post->ID );
					$np_title = get_the_title( $next_post->ID );
				?>
				<div class="orb-addition-post" data-swiper-parallax-y="60" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1300">
					<a href="<?php echo esc_url( $np_permalink ); ?>" class="orb-photo-link">
						<?php
						$image = get_the_post_thumbnail_url( $next_post->ID, 'orabel_950xAuto' );
						if ( $image ) : ?>
						<div class="orb-photo-frame orb-obj-2">
							<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $np_title ); ?>">
						</div>
						<?php endif; ?>
					</a>
					<div class="orb-post-text">
						<a href="<?php echo esc_url( $np_permalink ); ?>" class="orb-post-title">
							<h2><?php echo esc_html( $np_title ); ?></h2>
						</a>
						<div class="orb-date"><?php echo esc_html( get_the_date( $date_format, $next_post->ID ) ); ?></div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>
