<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package orabel
 */

?>

<?php

//options
$index = get_query_var( 'index' );
$layout = get_query_var( 'layout' );

/* post data */
$image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_950xAuto' );

?>

<div class="orb-g-33 orb-md-50 orb-sm-100">
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="orb-blog-card">
			<?php if ( $image ) : ?>
			<div class="orb-photo-frame orb-active">
				<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" /></a>
			</div>
			<?php endif; ?>
			<div class="orb-post-text">
				<h2><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h2>
				<?php the_excerpt(); ?>
				<div class="orb-date"><?php echo esc_html( get_the_date() ); ?></div>
			</div>
		</div>
	</div>
</div>
