<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package orabel
 */

?>

<?php

/*options*/
$theme_lightbox = get_field( 'portfolio_lightbox_disable', 'option' );

/* post data */
$image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_950xAuto' );
$image_full = get_the_post_thumbnail_url( get_the_ID(), 'orabel_1920xAuto' );
$title = get_the_title();

?>

<div class="swiper-slide">
	<div class="orb-content">
		<div class="orb-deco"></div>
		<div class="orb-grid">
			<div class="orb-g-100 orb-sm-100">
				<div class="orb-object-frame">
					<?php if ( $image ) : ?>
					<div class="orb-photo-frame orb-obj-1">
						<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image_full ); ?>">
							<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ); ?>">
							<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
						</a>
					</div>
					<?php endif; ?>
					<?php if ( $title ) : ?>
					<div class="orb-slide-caption">
						<h2><?php echo wp_kses_post( $title ); ?></h2>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>
