<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package orabel
 */

?>

<?php

/*options*/
$theme_lightbox = get_field( 'portfolio_lightbox_disable', 'option' );

/* post data */
$image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_1920xAuto' );
$title = get_the_title();
$title_html = get_field( 'title' );
$subtitle = get_field( 'subtitle' );
$image2 = false;
$image2_id = false;
$title2 = false;
$item2 = get_field( 'additional' );

if ( $item2 ) {
	$image2_id = $item2['image'];
	$title2 = $item2['title'];
}

if ( $image2_id ) {
	$image2 = wp_get_attachment_image_url( $image2_id, 'orabel_950xAuto' );
	$image2_full = wp_get_attachment_image_url( $image2_id, 'orabel_1920xAuto' );
}

?>

<div class="swiper-slide">
	<div class="orb-content" data-swiper-parallax="-200" data-swiper-parallax-opacity="0">
		<div class="orb-grid orb-sm-reverse">
			<?php if ( $image2 || $title2 ) : ?>
			<div class="orb-g-30 orb-sm-100">
				<div class="orb-position-fix">
					<?php if ( $title2 ) : ?>
					<span class="orb-title-2"><?php echo wp_kses_post( $title2 ); ?></span>
					<?php endif; ?>
					<?php if ( $image2 ) : ?>
					<div class="orb-photo-frame orb-obj-2" data-swiper-parallax-y="100" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1250">
						<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image2_full ); ?>">
							<img src="<?php echo esc_url( $image2 ); ?>" alt="<?php echo esc_attr( $title ); ?>">
							<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
						</a>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<?php endif; ?>
			<div class="orb-g-70 orb-sm-100">
				<div class="rb-object-frame">
					<?php if ( $image ) : ?>
					<div class="orb-photo-frame orb-obj-1" data-swiper-parallax-y="-100" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1300">
						<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ); ?>">
					</div>
					<?php endif; ?>
					<div class="orb-slide-caption" data-swiper-parallax-y="200" data-swiper-parallax-scale="0.5">
						<?php if ( $title_html ) : ?>
						<h2><?php echo wp_kses_post( $title_html ); ?></h2>
						<?php endif; ?>
						<?php if ( $subtitle ) : ?>
						<span class="orb-suptitle"><?php echo wp_kses_post( $subtitle ); ?></span>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
