<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package orabel
 */

?>

<?php

/*options*/
$theme_lightbox = get_field( 'portfolio_lightbox_disable', 'option' );

/* post data */

$image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_950xAuto' );
$image_full = get_the_post_thumbnail_url( get_the_ID(), 'orabel_1920xAuto' );
$title = get_the_title();
$title_html = get_field( 'title' );

$image2_id = false;
$image3_id = false;
$image2 = false;
$image3 = false;

$item2 = get_field( 'additional' );
$item3 = get_field( 'additional2' );

if ( $item2 ) {
	$image2_id = $item2['image'];
}
if ( $image2_id ) {
	$image2 = wp_get_attachment_image_url( $image2_id, 'orabel_950xAuto' );
	$image2_full = wp_get_attachment_image_url( $image2_id, 'orabel_1920xAuto' );
}

if ( $item3 ) {
	$image3_id = $item3['image'];
}
if ( $image3_id ) {
	$image3 = wp_get_attachment_image_url( $image3_id, 'orabel_950xAuto' );
	$image3_full = wp_get_attachment_image_url( $image3_id, 'orabel_1920xAuto' );
}

?>

<div class="swiper-slide">
	<div class="orb-content" data-swiper-parallax="-200" data-swiper-parallax-opacity="0">
		<div class="orb-grid">
			<div class="orb-g-30 orb-sm-100">
				<div class="orb-position-fix">
					<?php if ( $title_html ) : ?>
					<div class="orb-slide-caption" data-swiper-parallax-y="120" data-swiper-parallax-scale="0.5">
						<span><?php echo wp_kses_post( $title_html ); ?></span>
					</div>
					<?php endif; ?>
					<?php if ( $image2 ) : ?>
					<div class="orb-photo-frame orb-obj-1" data-swiper-parallax-y="-100" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1250">
						<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image2_full ); ?>">
							<img src="<?php echo esc_url( $image2 ); ?>" alt="<?php echo esc_attr( $title ); ?>">
							<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
						</a>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<div class="orb-g-50 orb-sm-100">
				<?php if ( $image ) : ?>
				<div class="orb-photo-frame orb-obj-2" data-swiper-parallax-y="60" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1300">
					<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image_full ); ?>">
						<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ); ?>">
						<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
					</a>
				</div>
				<?php endif; ?>
			</div>
			<div class="orb-g-20 orb-sm-100">
				<?php if ( $image3 ) : ?>
				<div class="orb-photo-frame orb-obj-3" data-swiper-parallax-y="-100" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1200">
					<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image3_full ); ?>">
						<img src="<?php echo esc_url( $image3 ); ?>" alt="<?php echo esc_attr( $title ); ?>">
						<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
					</a>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>
