<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package orabel
 */

?>

<?php

/*options*/
$theme_lightbox = get_field( 'portfolio_lightbox_disable', 'option' );

/* post data */

$image = get_the_post_thumbnail_url( get_the_ID(), 'orabel_1920xAuto' );
$title = get_the_title();
$title_html = get_field( 'title' );

$image2_id = false;
$image2 = false;

$item2 = get_field( 'additional' );

if ( $item2 ) {
	$image2_id = $item2['image'];
}
if ( $image2_id ) {
	$image2 = wp_get_attachment_image_url( $image2_id, 'orabel_1920xAuto' );
}

?>

<div class="swiper-slide">
	<div class="orb-content" data-swiper-parallax="-200" data-swiper-parallax-opacity="0">
		<div class="orb-grid">
			<div class="orb-g-75 orb-sm-100">
				<div class="rb-object-frame">
					<?php if ( $image ) : ?>
					<div class="orb-photo-frame orb-obj-1" data-swiper-parallax-y="-100" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1300">
						<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image ); ?>">
							<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $title ); ?>" />
							<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
						</a>
					</div>
					<?php endif; ?>
					<?php if ( $title_html ) : ?>
					<div class="orb-slide-caption" data-swiper-parallax-x="500" data-swiper-parallax-scale="0.5">
						<span><?php echo wp_kses_post( $title_html ); ?></span>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<div class="orb-g-25 orb-sm-100">
				<div class="orb-position-fix">
					<?php if ( $image2 ) : ?>
					<div class="orb-photo-frame orb-obj-2" data-swiper-parallax-y="100" data-swiper-parallax-scale="0.5" data-swiper-parallax-duration="1250">
						<a<?php if ( ! $theme_lightbox ) : ?> data-magnific-gallery<?php endif; ?> data-elementor-lightbox-slideshow="gallery" data-elementor-lightbox-title="<?php echo esc_attr( $title ); ?>" data-no-swup href="<?php echo esc_url( $image2 ); ?>">
							<img src="<?php echo esc_url( $image2 ); ?>" alt="<?php echo esc_attr( $title ); ?>" />
							<span class="orb-zoom"><span class="orb-icon-zoom"></span></span>
						</a>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>
